SingleProblemEvent (Gradle API 8.11)

Package org.gradle.tooling.events.problems

## Interface SingleProblemEvent

- All Superinterfaces:
    `ProblemEvent`, `ProgressEvent`

      @Incubating
      public interface SingleProblemEvent
      extends ProblemEvent

  ProblemEvent with all the details relevant.
  Since:
    8.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdditionalData` | `getAdditionalData()` | Returns the additional data associated with this problem.
    `ContextualLabel` | `getContextualLabel()` | Returns the contextual label.
    `ProblemDefinition` | `getDefinition()` | Returns the problem definition.
    `Details` | `getDetails()` | Returns the details string.
    `FailureContainer` | `getFailure()` | Returns the failure associated with this problem.
    `java.util.List<Location>` | `getLocations()` | Returns the locations associated with this problem.
    `java.util.List<Solution>` | `getSolutions()` | Returns the list of solutions.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDescriptor, getDisplayName, getEventTime`

- - ### Method Detail

    - #### getDefinition

          ProblemDefinition getDefinition()

      Returns the problem definition.
      Returns:
        the definition
      Since:
        8.9

    - #### getContextualLabel

          ContextualLabel getContextualLabel()

      Returns the contextual label.
      Returns:
        the problem label
      Since:
        8.9

    - #### getDetails

          Details getDetails()

      Returns the details string.
      Returns:
        the problem details
      Since:
        8.8

    - #### getLocations

          java.util.List<Location> getLocations()

      Returns the locations associated with this problem.
      Returns:
        the locations
      Since:
        8.8

    - #### getSolutions

          java.util.List<Solution> getSolutions()

      Returns the list of solutions.
      Returns:
        the solutions
      Since:
        8.8

    - #### getFailure

          @Nullable
          FailureContainer getFailure()

      Returns the failure associated with this problem.
      Returns:
        the failure
      Since:
        8.8

    - #### getAdditionalData

          AdditionalData getAdditionalData()

      Returns the additional data associated with this problem.
      Returns:
        the additional data
      Since:
        8.9